package com.goafanti.order.service;

import com.goafanti.common.bo.Result;
import com.goafanti.order.bo.*;

import java.util.List;

public interface LegalAffairsService {


    int pushTransferLagalAffairs(String orderNo,String remarks);

    Object orderListPage(InputOrderListBo in);



    List<OutOrderLegalAffairsListBo> getLegalAffairsOrder(InputOrderListBo in);

    boolean checkTask(String orderNo);

    List<TDunLogListBo> dunOrderList(String orderNo);

    int addDunOrder(InputDunOrder in);

    int addLagalAffairsLog(InputOrderLegalAffairs in);

    List<OutLegalAffairsLogBo> lagalAffairsLogList(String orderNo);

    Result orderListExprot(InputOrderListBo in);

    /**
     * 批量新增法务日志
     * @param addList2
     */
    void addLagalAffairsLogList(List<String> addList2);
}
